imports:
  - { resource: ../dockerfile.yaml }

php:
  version: 7.1
  distribution: buster
  extensions:
    - bcmath
    - bz2
    - calendar
    - ctype
    - curl
    - dba
    - dom
    - enchant
    - exif
    - fileinfo
    - filter
    - ftp
    - gd
    - gettext
    - hash
    - iconv
    - imap
    - intl
    - json
    - mbstring
    - mcrypt
    - mysqli
    - opcache
    - pcntl
    - pdo
    - pdo_mysql
    - pdo_pgsql
    - pdo_sqlite
    - pgsql
    - phar
    - posix
    - pspell
    - readline
    - reflection
    - session
    - shmop
    - simplexml
    - snmp
    - soap
    - sockets
    - spl
    - standard
    - sysvmsg
    - sysvsem
    - sysvshm
    - tokenizer
    - xml
    - xmlreader
    - xmlrpc
    - xmlwriter
    - xsl
    - zip
  pecl:
    - imagick
    - redis
    - xdebug@2.9.8
commands:
  - cmd: RUN
    commands:
      - composer-require phpmd/phpmd "*"
      - composer-require povils/phpmnd "*"
      - composer-require maglnet/composer-require-checker "*"
      - composer-require squizlabs/php_codesniffer "*"
      - composer-require sebastian/phpcpd "*"
      - composer-require sebastian/phpdcd "*"
      - composer-require block8/php-docblock-checker "*"
      - composer-require phpstan/phpstan "*"
      - composer-require wapmorgan/php-deprecation-detector "*"
      - composer-require phploc/phploc "*"
      - composer-require phpmetrics/phpmetrics "*"
      - composer-require phpunit/phpunit "^8"
      - composer-require drupal/coder "*"
      - composer-require mglaman/drupal-check "*"
